import * as React from 'react';

interface LineConfig {
    content: string;
    isOutput?: boolean;
    isContinuation?: boolean;
    customPrompt?: string;
}
interface CommandLineConfig {
    user?: string;
    host?: string;
    path?: string;
    basePrompt?: string;
    continuationPrompt?: string;
    lines?: LineConfig[];
}
interface CodeBlockProps {
    code: string;
    language?: string;
    showLineNumbers?: boolean;
    showCopyButton?: boolean;
    showLanguageLabel?: boolean;
    theme?: 'light' | 'dark';
    className?: string;
    isCommandLine?: boolean;
    commandLine?: CommandLineConfig;
}

declare const CodeBlock: ({ code, language, showLineNumbers: initialShowLineNumbers, showCopyButton, showLanguageLabel, theme, className, isCommandLine, commandLine, }: CodeBlockProps) => React.JSX.Element;

export { CodeBlock, type CodeBlockProps, type CommandLineConfig, type LineConfig, CodeBlock as default };
